£1,179.41– £1,440.99
Compare 3 prices
D-Link · Network Switch
D-Link 28-Port Gigabit PoE+ Smart Managed Switch including price in United Kingdom
Model DGS-1210-28MPMPN DGS-1210-28MPMPN DGS 1210 28MPEAN 790069427664EAN 5706998910691
- Memory128 MB
- Noise52.4 dB
- Type1U
- ColourBlack, Grey
Lowest price incl. delivery
£263.73
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £263.73 – £314.99
- Save up to £51.26 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £51.26 (16%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceD-Link 28-Port Gigabit PoE+ Smart Managed Switch including 4 x 100/100 In stockFree shipping£263.73incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeD-Link 28-Port Gigabit PoE+ Smart Managed Switch including 4 x 100/1000Mbps Combo Ports In stockFree shipping£314.99incl. free shipping+£51.26 (19%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukD-Link 28-Port Gigabit PoE+ Smart Managed Switch including 4 x 100/100 In stockShipping not stated£263.73item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- D-Link
- Product
- 28-Port Gigabit PoE+ Smart Managed Switch including
- Full name
- D-Link 28-Port Gigabit PoE+ Smart Managed Switch including 4 x 100/1000Mbps Combo Ports
- Manufacturer part number
- DGS-1210-28MP, DGS 1210 28MP
- EAN / UPC
- 790069427664, 5706998910691, 7900694276640
- Category
- Network Switch
99 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| Traffic classification | Yes |
| System event log | Yes |
| MIB support | RFC1213MIB II, RFC1493, RFC1907, RFC1757, 2819, RFC2021, RFC1398, 1643, 1650, 2358, 2665, RFC2674, 4363, RFC 2233, 2863, RFC 2618, RFC 2620, RFC 2925 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 4 |
| Fiber optic connector | SFP |
| Console port | RJ-45 |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ah, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-T |
| Port mirroring | Yes |
| Full duplex | Yes |
| IP routing | Yes |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Voice VLAN, Tagged VLAN, MAC address-based VLAN, Port-based VLAN |
| Number of VLANs | 4094 |
Optical fiber
| Fiber ethernet cabling technology | 1000BASE-X |
|---|
Data transmission
| MAC address table | 16000 entries |
|---|---|
| Switching capacity | 56 Gbit/s |
| Forwarding rate | 41.7 Mpps |
| Store-and-forward | Yes |
| Number of queues | 8 |
| Number of static routes | 32 |
| Jumbo frames support | Yes |
| Jumbo frames | 9216 |
| Packet buffer memory | 1.5 MB |
Security
| DHCP features | DHCP client |
|---|---|
| Access Control List (ACL) | Yes |
| Access Control List (ACL) rules | 256 |
| IGMP snooping | Yes |
| Authentication | Guest VLAN, MAC-based authentication, Port-based authentication |
| BPDU filtering/protection | Yes |
| IP-MAC-Port binding | Yes |
| Loop protection | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS, SNMP, SSH |
Multicast features
| Multicast support | Yes |
|---|---|
| Multicast Listener Discovery (MLD) snooping | MLD v1, MLD v2 |
Design
| Rack mounting | Yes |
|---|---|
| Form factor | 1U |
| Product colour | Black, Grey |
| LED indicators | Activity, Fan fail, Link, Power, Speed |
| Number of fans | 2 fan(s) |
| Safety | CCC, CE LVD, UL/cUL |
| Electromagnetic compatibility | FCC A, CE A, VCCI, C-Tick, BSMI, CCC |
Performance
| Built-in processor | Yes |
|---|---|
| Memory type | DDR3-SDRAM |
| Internal memory | 128 MB |
| Flash memory | 32 MB |
| Noise level | 52.4 dB |
| Mean time between failures (MTBF) | 294101 h |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (typical) | 27.49 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 24 |
Operational conditions
| Operating temperature (T-T) | -5 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Storage relative humidity (H-H) | 5 - 90% |
| Heat dissipation | 850.58 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 210 mm |
| Height | 44 mm |
Packaging data
| Package width | 365 mm |
|---|---|
| Package depth | 521 mm |
| Package height | 92 mm |
| Package weight | 5.18 kg |
Technical details
| Master (outer) cases per pallet (air) | 24 pc(s) |
|---|---|
| Master (outer) cases per pallet (sea) | 40 pc(s) |
| Pallet gross length | 110 cm |
| Pallet gross weight (air) | 419.7 kg |
| Pallet gross weight (sea) | 682.9 kg |
| Pallet gross width | 120 cm |
| Pallet height (air) | 131.4 cm |
| Pallet height (sea) | 2.1 m |
| Products per pallet (air) | 72 pc(s) |
| Products per pallet (sea) | 120 pc(s) |
| Products per shipping (inner) case | 3 pc(s) |
| Shipping (inner) case gross weight | 16.4 kg |
| Shipping (inner) case height | 39.3 cm |
| Shipping (inner) case length | 53.9 cm |
| Shipping (inner) case net weight | 15.6 kg |
| Shipping (inner) case width | 29.5 cm |
Certificates
| Certification | IEC61000-4-5, RoHS |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






